Options (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class Options

- java.lang.Object
- - org.xbill.DNS.Options

-     public final class Options
      extends Object

  Boolean options:
  bindttl - Print TTLs in BIND format
  multiline - Print records in multiline format
  noprintin - Don't print the class of a record if it's IN
  verbose - Turn on general debugging statements
  verbosemsg - Print all messages sent or received by SimpleResolver
  verbosecompression - Print messages related to name compression
  verbosesec - Print messages related to signature verification
  verbosecache - Print messages related to cache lookups
  Valued options:
  tsigfudge=n - Sets the default TSIG fudge value (in seconds)
  sig0validity=n - Sets the default SIG(0) validity period (in seconds)
  Author:
    Brian Wellington

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `check(String option)` Checks if an option is defined
    `static void` | `clear()` Clears all defined options
    `static int` | `intValue(String option)` Returns the value of an option as an integer, or -1 if not defined.
    `static void` | `refresh()`
    `static void` | `set(String option)` Sets an option to "true"
    `static void` | `set(String option, String value)` Sets an option to the the supplied value
    `static void` | `unset(String option)` Removes an option
    `static String` | `value(String option)` Returns the value of an option

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### refresh

          public static void refresh()

    - #### clear

          public static void clear()

      Clears all defined options

    - #### set

          public static void set(String option)

      Sets an option to "true"

    - #### set

          public static void set(String option,
                 String value)

      Sets an option to the the supplied value

    - #### unset

          public static void unset(String option)

      Removes an option

    - #### check

          public static boolean check(String option)

      Checks if an option is defined

    - #### value

          public static String value(String option)

      Returns the value of an option

    - #### intValue

          public static int intValue(String option)

      Returns the value of an option as an integer, or -1 if not defined.